Page MenuHomePhabricator

Language labels sometimes broken on some language ZObjects, as we have ~900 languages but only query the first 500 labels(?)
Closed, ResolvedPublicBUG REPORT

Description

On Not Wikilambda, Z1827 (ZObject for the Greek language) has labels in English and Greek, but the Greek label’s language column is empty instead of showing a language name.

Screen Shot 2021-08-22 at 20.33.39.png (720×1 px, 124 KB)

https://notwikilambda.toolforge.org/wiki/ZObject:Z1827

Details

Request URL
https://notwikilambda.toolforge.org/wiki/ZObject:Z1827

Event Timeline

Jimman2003 changed Request URL from https://notwikilambda.toolforge.org/wiki/ZObject:Z47 to https://notwikilambda.toolforge.org/wiki/ZObject:Z1827.Aug 22 2021, 6:30 PM
LucasWerkmeister changed the subtype of this task from "Production Error" to "Bug Report".Aug 22 2021, 6:32 PM

The previous ZObject, Z1826 Basa Banyumasan, also has an empty language name for its autonym; on the other hand, Z1100 Kalmyk works fine (shows the English language name in that cell).

It’s maybe worth noting here that the builtin data, including the languages, was fairly recently reloaded (SAL entry).

Z10000 (not a Z60) has the same problem (for another Z60)

Some of the particular ZObjects mentioned here (e.g. Z1827 and Z1826) now render since the move to the main namespace, but others don't (Z1100 and Z10000, for instance). Most puzzling.

Jdforrester-WMF renamed this task from Language label broken in a Zobject to Language label broken on some language ZObjects on NotWikiLambda.Sep 1 2021, 4:29 PM
Jdforrester-WMF renamed this task from Language label broken on some language ZObjects on NotWikiLambda to Language labels sometimes broken on some language ZObjects, as we have ~900 languages but only query the first 500 labels(?).Sep 1 2021, 10:09 PM
Jdforrester-WMF reassigned this task from Jdforrester-WMF to Lindsaykwardell.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Change 716399 had a related patch set uploaded (by Lindsay Wardell; author: Lindsay Wardell):

[mediawiki/extensions/WikiLambda@master] Switch metadata to use ZkeyLabels instead of allLangs

https://gerrit.wikimedia.org/r/716399

Change 716399 merged by jenkins-bot:

[mediawiki/extensions/WikiLambda@master] Switch metadata to use ZkeyLabels instead of allLangs

https://gerrit.wikimedia.org/r/716399

The merged patch seems to work fine in notwikilamba (I think it is deployed there) Can sb else confirm the deployment fixed the bug?

Yeah, this should all be working now.